.bbd-product-features__media {
  grid-column: 1 / -1;

  @media screen and (max-width: 749px) {
    order: 2;
  }

  @media screen and (min-width: 750px) {
    grid-column: 1 / span 6;
  }

  @media screen and (min-width: 1100px) {
    grid-column: 1 / span 7;
  }
}

.bbd-product-features__content {
  grid-column: 1 / -1;

  @media screen and (min-width: 750px) {
    grid-column: 7 / -1;
  }

  @media screen and (min-width: 1100px) {
    grid-column: 9 / -1;
  }
}

.bbd-product-features__accordions {
  @media screen and (min-width: 750px) {
    position: sticky;
    top: calc(var(--header-height) + var(--padding-4xl));
  }
}

.bbd-product-features__media-stack {
  position: relative;
}

.bbd-product-features__media-item {
  display: none;

  &.active {
    display: block;
  }
}

.bbd-product-features__image {
  aspect-ratio: 35/45;

  @media screen and (min-width: 750px) {
    aspect-ratio: 80/58;
  }

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}

/* Accordions */
.bbd-product-features {
  .bbd-details {
    border-color: var(--color-foreground);
  }

  .bbd-details__header {
    padding-block: var(--padding-md);

    @media screen and (min-width: 750px) {
      --font-h5--size: var(--font-size--2xl);
    }
  }
}
